# Class OptionList

Namespace
  adas_core.Domain.Models.Masters

Assembly
  adas-core.Domain.dll

Represents a list that contains a collection of options.

    public class OptionList

Inheritance
  object
  OptionList

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### BgColor

    public string? BgColor { get; set; }

#### Property Value

string

### Color

    public string? Color { get; set; }

#### Property Value

string

### Description

    public string? Description { get; set; }

#### Property Value

string

### EndDate

    public DateTime? EndDate { get; set; }

#### Property Value

DateTime?

### IconCategory

    public string? IconCategory { get; set; }

#### Property Value

string

### IconColor

    public string? IconColor { get; set; }

#### Property Value

string

### IconDefault

    public string? IconDefault { get; set; }

#### Property Value

string

### Id

    public ObjectId? Id { get; set; }

#### Property Value

ObjectId?

### InitDate

    public DateTime? InitDate { get; set; }

#### Property Value

DateTime?

### IsDefault

    public bool? IsDefault { get; set; }

#### Property Value

bool?

### LocaleItems

    public Locale? LocaleItems { get; set; }

#### Property Value

Locale

### Name

    public string Name { get; set; }

#### Property Value

string

### OptionType

    public string? OptionType { get; set; }

#### Property Value

string

## Methods

### AreEqual(OptionList, OptionList)

Compares two OptionList instances to determine whether they are equal by checking all of their properties, including type, name, icons, colors, dates, description, and default flag.

    public bool AreEqual(OptionList a, OptionList b)

#### Parameters

`a` OptionList

  The first OptionList to compare.

`b` OptionList

  The second OptionList to compare.

#### Returns

bool

  `true` if all compared properties of both OptionList instances are equal; otherwise, `false`.

### AreEqualExcludeDescription(OptionList, OptionList)

Determines whether two OptionList instances are equal based on their core properties, excluding the Description field.

    public bool AreEqualExcludeDescription(OptionList a, OptionList b)

#### Parameters

`a` OptionList

  The first OptionList to compare.

`b` OptionList

  The second OptionList to compare.

#### Returns

bool

  `true` if both option lists match across OptionType, Name, IconDefault, IconCategory, IconColor, Color, BgColor, IsDefault, InitDate, and EndDate; otherwise, `false`.